-- 数据合并
insert into tab_gic_mall_order                  select * from tab_gic_mall_order_copy;
insert into tab_gic_mall_order_item             select * from tab_gic_mall_order_item_copy;
insert into tab_gic_mall_order_logistics        select * from tab_gic_mall_order_logistics_copy;
insert into tab_gic_mall_order_process          select * from tab_gic_mall_order_process_copy;
insert into tab_gic_mall_order_refund_consult   select * from tab_gic_mall_order_refund_consult_copy;
insert into tab_gic_mall_order_refund           select * from tab_gic_mall_order_refund_copy;
insert into tab_gic_mall_order_refund_logistics select * from tab_gic_mall_order_refund_logistics_copy;
insert into tab_gic_mall_collection             select * from tab_gic_mall_collection_copy;
insert into tab_gic_mall_evaluate               select * from tab_gic_mall_evaluate_copy;
insert into tab_gic_mall_order_batch_deliver_log select * from tab_gic_mall_order_batch_deliver_log_copy;
insert into tab_gic_mall_shopping_cart           select * from tab_gic_mall_shopping_cart_copy;

-- 清除导入的临时数据
delete from tab_gic_mall_order_copy ;
delete from tab_gic_mall_order_item_copy ;

delete from tab_gic_mall_order_logistics_copy ;
delete from tab_gic_mall_order_process_copy ;

delete from tab_gic_mall_order_refund_consult_copy ;
delete from tab_gic_mall_order_refund_copy ;

delete from tab_gic_mall_order_refund_logistics_copy ;
delete from tab_gic_mall_collection_copy ;
delete from tab_gic_mall_evaluate_copy ;
delete from tab_gic_mall_order_batch_deliver_log_copy ;
delete from tab_gic_member_address_copy
delete from tab_gic_mall_shopping_cart_copy


 

  



-- 清除全部导入的数据
DELETE FROM tab_gic_mall_order                   WHERE from_erp = 1;
DELETE FROM tab_gic_mall_order_item              WHERE from_erp = 1;
DELETE FROM tab_gic_mall_order_logistics         WHERE from_erp = 1;
DELETE FROM tab_gic_mall_order_process           WHERE from_erp = 1;
DELETE FROM tab_gic_mall_order_refund_consult    WHERE from_erp = 1;
DELETE FROM tab_gic_mall_order_refund            WHERE from_erp = 1;
DELETE FROM tab_gic_mall_order_refund_logistics  WHERE from_erp = 1;
DELETE FROM tab_gic_mall_collection              WHERE from_erp = 1;
DELETE FROM tab_gic_mall_evaluate                WHERE from_erp = 1;
DELETE FROM tab_gic_mall_order_batch_deliver_log WHERE from_erp = 1;
DELETE FROM `3.0`.tab_gic_member_address_copy    WHERE from_erp = 1;
DELETE FROM tab_gic_mall_shopping_cart           WHERE from_erp = 1;
 
 
 
 
 DELETE FROM tab_gic_mall_order      WHERE  member_id ='ff808081671d4dd501673a76508d32ce' AND enterprise_id= 'ff8080816170e8990161f6736b4c6033' and from_erp=1;
 DELETE FROM tab_gic_mall_order_item WHERE  member_id ='ff808081671d4dd501673a76508d32ce' AND enterprise_id= 'ff8080816170e8990161f6736b4c6033' and from_erp=1;



-- 合并单个人的数据
-- WX20067920 ,WX20023230
INSERT INTO tab_gic_mall_order_item             SELECT * FROM  tab_gic_mall_order_item_copy WHERE member_id in ('ff80808165b4c5070165c20bbe331701','ff8080816760179c0167634621677b03');
INSERT INTO tab_gic_mall_order                  SELECT * FROM  tab_gic_mall_order_copy      WHERE member_id in ('ff80808165b4c5070165c20bbe331701','ff8080816760179c0167634621677b03');
INSERT INTO tab_gic_mall_shopping_cart          SELECT * FROM  tab_gic_mall_shopping_cart_copy      WHERE member_id in ('ff80808165b4c5070165c20bbe331701','ff8080816760179c0167634621677b03');
INSERT INTO  tab_gic_mall_collection            SELECT * FROM  tab_gic_mall_collection_copy WHERE member_id in ('ff80808165b4c5070165c20bbe331701','ff8080816760179c0167634621677b03');
insert into `gic3.0`.tab_gic_member_address     SELECT * from `gic3.0`.tab_gic_member_address_copy  WHERE member_id in ('ff80808165b4c5070165c20bbe331701','ff8080816760179c0167634621677b03');
insert into tab_gic_mall_evaluate               SELECT * from tab_gic_mall_evaluate_copy where member_id  in ('ff80808165b4c5070165c20bbe331701','ff8080816760179c0167634621677b03');
insert into tab_gic_mall_order_logistics        SELECT * from tab_gic_mall_order_logistics_copy where member_id in ('ff80808165b4c5070165c20bbe331701','ff8080816760179c0167634621677b03');
 
insert into tab_gic_mall_order_refund           SELECT * from tab_gic_mall_order_refund_copy where member_id in ('ff80808165b4c5070165c20bbe331701','ff8080816760179c0167634621677b03');
insert into tab_gic_mall_order_process          SELECT * from tab_gic_mall_order_process_copy WHERE member_id in ('ff80808165b4c5070165c20bbe331701','ff8080816760179c0167634621677b03');

SELECT * from tab_gic_mall_order_refund_consult_copy
WHERE order_refund_id in
(
    SELECT order_refund_id from tab_gic_mall_order_refund_copy where member_id in ('ff80808165b4c5070165c20bbe331701','ff8080816760179c0167634621677b03')
);


SELECT * from tab_gic_mall_order_refund_logistics_copy
WHERE mall_order_id in
(
SELECT order_id from tab_gic_mall_order_refund_copy where member_id in ('ff80808165b4c5070165c20bbe331701','ff8080816760179c0167634621677b03')
);


 
